org.appng.formtags

## Enum FormConfirmation.FormConfirmationMode

- java.lang.Object
- - java.lang.Enum<FormConfirmation.FormConfirmationMode>
  - - org.appng.formtags.FormConfirmation.FormConfirmationMode

- All Implemented Interfaces:
    Serializable, Comparable<FormConfirmation.FormConfirmationMode>
  Enclosing class:
    FormConfirmation

      public static enum FormConfirmation.FormConfirmationMode
      extends Enum<FormConfirmation.FormConfirmationMode>

  Defines when to display the FormConfirmation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_GET_REQUESTS` After submitting the form, the formConfirmation section may be controlled by the ProcessProvider through GET Requests
    `ALWAYS` Show Form Confirmation section always.
    `SUBMITTED` Show Form Confirmation section only if the form is submitted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormConfirmation.FormConfirmationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormConfirmation.FormConfirmationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBMITTED

          public static final FormConfirmation.FormConfirmationMode SUBMITTED

      Show Form Confirmation section only if the form is submitted. (default mode)

    - #### ALLOW_GET_REQUESTS

          public static final FormConfirmation.FormConfirmationMode ALLOW_GET_REQUESTS

      After submitting the form, the formConfirmation section may be controlled by the ProcessProvider through GET Requests

    - #### ALWAYS

          public static final FormConfirmation.FormConfirmationMode ALWAYS

      Show Form Confirmation section always.

  - ### Method Detail

    - #### values

          public static FormConfirmation.FormConfirmationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormConfirmation.FormConfirmationMode c : FormConfirmation.FormConfirmationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormConfirmation.FormConfirmationMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.